Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Class fabric.Ellipse

Extends fabric.Object.
Ellipse
Defined in: ellipse.class.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.Ellipse()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| type

Fields borrowed from class fabric.Object:
  FX_DURATION, FX_TRANSITION, includeDefaultValues, MIN_SCALE_LIMIT, NUM_FRACTION_DIGITS, options, rotate, stateProperties

Method Summary
Method Attributes | Method Name and Description
--- | ---
| complexity()
<static> | fabric.Ellipse.fromElement(element, options) Returns fabric.Ellipse instance from an SVG element
<static> | fabric.Ellipse.fromObject(object) Returns fabric.Ellipse instance from an object representation
| initialize(options) Constructor
| render(ctx, noTransform)
| toObject() Returns object representation of an instance

Methods borrowed from class fabric.Object:
  callSuper, clone, cloneAsImage, drawBorders, drawCorners, fxRemove, fxStraighten, get, getAngle, getCenter, getHeight, getWidth, hasStateChanged, intersectsWithObject, intersectsWithRect, isActive, isContainedWithinRect, isType, saveState, scale, scaleToHeight, scaleToWidth, set, setActive, setAngle, setCoords, setOpacity, setOptions, setSourcePath, straighten, toDatalessObject, toDataURL, toggle, toGrayscale, toJSON, toString, transform

Class Detail
fabric.Ellipse()
Field Detail
type
Method Detail
{Number} complexity()

Returns:
  {Number} complexity

<static> {fabric.Ellipse} fabric.Ellipse.fromElement(element, options)
Returns fabric.Ellipse instance from an SVG element

Parameters:
{SVGElement} element
  Element to parse
{Object} options Optional
  Options object

Returns:
  {fabric.Ellipse}

<static> {fabric.Ellipse} fabric.Ellipse.fromObject(object)
Returns fabric.Ellipse instance from an object representation

Parameters:
{Object} object
  Object to create an instance from

Returns:
  {fabric.Ellipse}

{Object} initialize(options)
Constructor

Parameters:
{Object} options Optional
  Options object

Returns:
  {Object} thisArg

render(ctx, noTransform)

Parameters:
ctx
  {CanvasRenderingContext2D} context to render on
noTransform
  {Boolean} context is not transformed when set to true

{Object} toObject()
Returns object representation of an instance

Returns:
  {Object} object representation of an instance

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:43 GMT-0400 (EDT)